import request from '@/utils/request'

// 工程监理--监理细则(文档)列表
export function apiSupervisionRulesLists(params: any) {
    return request.get({ url: '/supervision_const_prepare.supervision_rules/lists', params })
}

// 添加工程监理--监理细则(文档)
export function apiSupervisionRulesAdd(params: any) {
    return request.post({ url: '/supervision_const_prepare.supervision_rules/add', params })
}

// 编辑工程监理--监理细则(文档)
export function apiSupervisionRulesEdit(params: any) {
    return request.post({ url: '/supervision_const_prepare.supervision_rules/edit', params })
}

// 删除工程监理--监理细则(文档)
export function apiSupervisionRulesDelete(params: any) {
    return request.post({ url: '/supervision_const_prepare.supervision_rules/delete', params })
}

// 工程监理--监理细则(文档)详情
export function apiSupervisionRulesDetail(params: any) {
    return request.get({ url: '/supervision_const_prepare.supervision_rules/detail', params })
}